%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global		with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libsmraw
Version:	20230320
Release:	1%{?dist}
Summary:	Library to access the storage media (SM) (split) RAW format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libsmraw/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf automake pkgconfig gettext-devel libtool

%description
libsmraw is library to access the storage media (SM) (split) RAW format
The library supports both RAW and split RAW.

%package devel
Summary:	Header files and libraries for developing applications for libsmraw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libsmraw.

%package tools
Summary:	Several tools for reading and writing storage media (SM) (split) RAW files
Group:		Applications/System
Requires:	%{name} = %{version}-%{release} openssl fuse-libs 
BuildRequires:	openssl-devel fuse-devel 

%description tools
Several tools for reading and writing storage media (SM) (split) RAW files.
It contains tools to acquire, export, query and verify storage media (SM) (split) RAW files.

%if 0%{?with_python2}
%package python2
Summary:	Python bindings for libsmraw
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python
BuildRequires:	python2-devel
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}

%description python2
Python bindings for libsmraw
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary: Python 3 bindings for libsmraw
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libsmraw
%endif

%prep
%setup -q

%build
if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh; fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/smrawmount
%attr(755,root,root) %{_bindir}/smrawverify
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python2*/site-packages/*.la
%endif
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Mon Mar 20 2023 Lawrence R. Rogers <lrr@cert.org> 20230320-1
* Release 20230320-1
	Version from 20230320

* Fri Oct 28 2022 Lawrence R. Rogers <lrr@cert.org> 20221028-1
* Release 20221028-1
	Version from 20221028

* Sat Aug  7 2021 Lawrence R. Rogers <lrr@cert.org> 20210807-1
* Release 20210807-1
	Version from 20210807

* Sun Apr 18 2021 Lawrence R. Rogers <lrr@cert.org> 20210418-1
* Release 20210418-1
	Version from 20210418

* Thu Dec 10 2020 Lawrence R. Rogers <lrr@cert.org> 20201210-1
* Release 20201210-1
	Version 20201210

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20191221-2
* Release 20191221-2
	Release 2 - Removed Python 2 package

* Sat Dec 21 2019 Lawrence R. Rogers <lrr@cert.org> 20191221-1
* Release 20191221-1
	Version 20191221

* Sun Nov  3 2019 Lawrence R. Rogers <lrr@cert.org> 20191103-1
* Release 20191103-1
	Version 20191103

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-5
* Release 20181227-5
	Version 20181227-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-4
* Release 20181227-4
        Release 4 - Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-3
* Release 20181227-3
	Release 3 - Removed conflicts when that arise when python2 and python3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181227-2
* Release 20181227-2
        Version as of 20181227
	-python packages renamed to -python2

* Thu Dec 27 2018 Lawrence R. Rogers <lrr@cert.org> 20181227-1
* Release 20181227-1
	Version 20181227

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version 20181215

* Tue Jan 23 2018 Lawrence R. Rogers <lrr@cert.org> 20180123-1
* Release 20180123-1
	Version 20180123

* Sun Nov  5 2017 Lawrence R. Rogers <lrr@cert.org> 20171105-1
* Release 20171105-1
	Version 20171105

* Thu Aug  3 2017 Lawrence R. Rogers <lrr@cert.org> 20170803-1
* Release 20170803-1
	Version 20170803

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160424-2
* Release 20160424-2
	Added support Python 3 for Fedora 20-24 and CentOS/RHEL 7.
	Turned off debugging output.

* Sun Apr 24 2016 Lawrence R. Rogers <lrr@cert.org> 20160424-1
* Release 20160424-1
	20160424
	* changes for Python 3 support

	20160423
	* worked on tests

	20160409
	* bug fix for information file

	20160317
	* removed read/write random

	20160111
	* Changes to Python bindings

	20160109
	* fixes for rpmbuild

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160109-1
* Release 20160108-1
	20160108
	* 2016 update
	* worked on Python 3 support

* Sat Dec 19 2015 Lawrence R. Rogers <lrr@cert.org> 20151219-1
* Release 20151219-1
	20151219
	* updated dependencies

* Mon Oct  5 2015 Lawrence R. Rogers <lrr@cert.org> 20151005-1
* Release 20151005-1
	20150905
	* updated dependencies

	20150721
	* worked on tests

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-2
* Release 20150105-2
	Libuna GCC-5 Patch

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141229
	* updated dpkg files
	* updated dependencies
	* updated .gitignore

	20141226
	* changes for updated dependencies

	20141221
	* worked on Python 3 support
	* worked on tests

	20141201
	* worked on multi-threading support

	20141129
	* code clean up

	20141120
	* code clean up

	20141107
	* worked on multi-threading support

	20141102
	* bug fixes for information file

	20141030
	* bug fix in Python-bindings

* Sun Oct 26 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141026-1
	20141026
	* changes for deployment

* Wed Oct 22 2014 Lawrence R. Rogers <lrr@cert.org> 20141022-1
* Release 20141022-1
	20141022
	* changes for deployment

* Tue Oct 21 2014 Lawrence R. Rogers <lrr@cert.org> 20141021-1
* Release 20141021-1
	20141021
	* changes for deployment

	20141007
	* updated dependencies and corresponding changes
	* worked on autogen.sh and synclibs.sh scripts

	20140930
	* removed README.macosx
	* changes for project site move

* Sun Aug 17 2014 Lawrence R. Rogers <lrr@cert.org> 20140817-1
* Release 20140817-1
	20140817
	* updated msvscpp files - fixes for smraw.net 
	20140801
	* Worked on smrawmount

* Mon Jul 28 2014 Lawrence R. Rogers <lrr@cert.org> 20140728-1
* Release 20140728-1
	20140728
	* updated dependencies
	* fixes for FreeBSD 8 compilation
	* updated dpkg files

* Sat Jun 21 2014 Joachim Metz <joachim.metz@gmail.com> 20140621-1
- Auto-generated

